%define upstream_name	 Authen-SASL
%define upstream_version 2.16

%global __requires_exclude perl\\\(GSSAPI\\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13
Summary:    SASL Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GB/GBARR/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Digest::HMAC_MD5)
BuildArch:  noarch

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/*/*
%{perl_vendorlib}/Authen


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.160.0-13.mga9
+ Revision: 1808335
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.160.0-12.mga8
+ Revision: 1503475
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.160.0-11.mga7
+ Revision: 1281815
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.160.0-10.mga7
+ Revision: 1163145
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.160.0-9.mga7
+ Revision: 1157295
- fix build without requiring Module::Install

* Thu Sep 21 2017 guillomovitch <guillomovitch> 2.160.0-8.mga7
+ Revision: 1156651
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 2.160.0-7.mga6
+ Revision: 1022671
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.160.0-6.mga6
+ Revision: 931378
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.160.0-5.mga5
+ Revision: 744959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.160.0-4.mga5
+ Revision: 683574
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 2.160.0-3.mga4
+ Revision: 509225
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.160.0-2.mga3
+ Revision: 363243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 2.160.0-1.mga3
+ Revision: 288478
- Add a BR on Digest::HMAC_MD5
- update to 2.16

* Fri Jan 21 2011 jquelin <jquelin> 2.150.0-3.mga1
+ Revision: 29685
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 2.150.0-2.mga1
+ Revision: 20856
- commented the if mdkversion lines
- removed buildroot definition from .spec
- imported package perl-Authen-SASL


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.150.0-2mdv2011.0
+ Revision: 564730
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.150.0-1mdv2011.0
+ Revision: 552257
- update to 2.15

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 2.140.100-1mdv2010.1
+ Revision: 529772
- update to 2.1401

* Fri Mar 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.140.0-1mdv2010.1
+ Revision: 518479
- update to 2.14

* Sat Sep 26 2009 Jérôme Quelin <jquelin@mandriva.org> 2.130.0-1mdv2010.0
+ Revision: 449368
- update to 2.13

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.120.0-1mdv2010.0
+ Revision: 406838
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.12-2mdv2009.1
+ Revision: 351675
- rebuild

* Wed Jul 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2009.0
+ Revision: 230635
- update to new version 2.12

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2009.0
+ Revision: 196518
- fix build dependency
- update to new version 2.11

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.10-6mdv2008.1
+ Revision: 180367
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2.10-5mdv2008.0
+ Revision: 67596
- rebuild

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 2.10-4mdv2008.0
+ Revision: 18038
- rebuild


* Mon Apr 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.10-3mdk
- Don't require optional module GSSAPI

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-2mdk
- fix description lines length

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- better summary and description
- drop useless explicit requires
- %%mkrel

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.09-1mdk
- 2.09

* Wed May 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.08-1mdk
- 2.08

* Wed Apr 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.07-1mdk
- 2.07

* Wed Aug 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.04-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri May 23 2003 François Pons <fpons@mandrakesoft.com> 2.04-1mdk
- 2.04.

